#pragma once

#include "CoreMinimal.h"
#include "Components/ActorComponent.h"
#include "EmpoweredSnowballComponent.generated.h"

UCLASS(Blueprintable, EditInlineNew, meta=(BlueprintSpawnableComponent))
class WINTEREVENT2025_API UEmpoweredSnowballComponent : public UActorComponent
{
	GENERATED_BODY()

private:
	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient, meta=(AllowPrivateAccess=true))
	bool _isEmpowered;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient, meta=(AllowPrivateAccess=true))
	int32 _numCharges;

public:
	UEmpoweredSnowballComponent();
};

FORCEINLINE uint32 GetTypeHash(const UEmpoweredSnowballComponent) { return 0; }
